classification
Title: Aifc low level serialization primitives fix
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Oleg.Plakhotnyuk, ezio.melotti, pitrou, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2011-12-12 18:31 by Oleg.Plakhotnyuk, last changed 2012-01-17 16:21 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
aifc_numbers_fix.patch Oleg.Plakhotnyuk, 2011-12-13 05:20 review
Messages (8)
msg149343 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2011-12-12 18:31
1. Fixed _write_float to handle infinity, NaN and negative numbers correctly.
2. Renamed _write_long to _write_ulong because it actually writes unsigned value.
3. Added _read_ushort as counterpart of _write_ushort. This is never used anywhere except test that ushorts are written correctly. But it seems right to me to have both read and write function in the same module.
msg149344 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2011-12-12 18:33
Patch must be applied after http://bugs.python.org/file23931/test_aifc.patch from issue 13394.
Not sure if review tool can handle this correctly.
msg149345 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2011-12-12 18:34
Second patch goes to issue 13589
msg149348 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2011-12-12 18:57
Forget about "patch must be applied before" thing.
I've made independent patch. :-)
msg151298 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-01-15 18:40
For the record, can you explain why infinity and NaN can end up in AIFC files?
That said, the patch looks ok to me.
msg151453 - (view) Author: Oleg Plakhotnyuk (Oleg.Plakhotnyuk) * Date: 2012-01-17 13:58
I have absolutely no idea :-)
I just covered every line of code with tests. Some bugs prevented me from do it, so I fixed them.
msg151464 - (view) Author: Roundup Robot (python-dev) Date: 2012-01-17 16:19
New changeset f715c4a5a107 by Antoine Pitrou in branch '3.2':
Issue #13589: Fix some serialization primitives in the aifc module.
http://hg.python.org/cpython/rev/f715c4a5a107

New changeset b039965b0066 by Antoine Pitrou in branch 'default':
Issue #13589: Fix some serialization primitives in the aifc module.
http://hg.python.org/cpython/rev/b039965b0066

New changeset 8fac90d0f4cd by Antoine Pitrou in branch '2.7':
Issue #13589: Fix some serialization primitives in the aifc module.
http://hg.python.org/cpython/rev/8fac90d0f4cd
msg151466 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-01-17 16:21
I've finally committed the patch, thank you!
History
Date User Action Args
2012-01-17 16:21:18pitrousetstatus: open -> closed
versions: + Python 2.7
messages: + msg151466

resolution: fixed
stage: resolved
2012-01-17 16:19:35python-devsetnosy: + python-dev
messages: + msg151464
2012-01-17 13:58:45Oleg.Plakhotnyuksetmessages: + msg151453
2012-01-15 18:40:43pitrousetnosy: + pitrou
messages: + msg151298
2011-12-13 05:21:32Oleg.Plakhotnyuksettitle: Aifc float serialization fix -> Aifc low level serialization primitives fix
2011-12-13 05:20:02Oleg.Plakhotnyuksetfiles: + aifc_numbers_fix.patch
2011-12-13 05:19:46Oleg.Plakhotnyuksetfiles: - aifc_numbers_fix.patch
2011-12-13 05:15:07Oleg.Plakhotnyuksetfiles: + aifc_numbers_fix.patch
2011-12-13 05:14:21Oleg.Plakhotnyuksetfiles: - aifc_numbers_fix.patch
2011-12-12 18:57:19Oleg.Plakhotnyuksetfiles: + aifc_numbers_fix.patch

messages: + msg149348
2011-12-12 18:56:08Oleg.Plakhotnyuksetfiles: - aifc_numbers_fix.patch
2011-12-12 18:37:39Oleg.Plakhotnyuksettype: behavior
2011-12-12 18:34:14Oleg.Plakhotnyuksetmessages: + msg149345
2011-12-12 18:33:33Oleg.Plakhotnyuksetmessages: + msg149344
2011-12-12 18:31:26Oleg.Plakhotnyukcreate